Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007688TestLinkDatabase Postgrespublic2016-09-28 05:292017-01-22 08:06
Reporterknow1 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSLinuxOS Version
Product Version1.9.15 (2015 Q4) 
Fixed in Version1.9.16 (2016 Q4) 
Summary0007688: Multiple errors in Postgres SQL scripts
DescriptionCannot install 1.9.15 on POstgres with standard SQL scripts

can be fixed with edits to .sql files
vi /opt/testlink/install/sql/postgres/testlink_create_tables.sql
    :845 PRIMARY KEY (`plugin_id`) should be PRIMARY KEY (plugin_id)
    :856 PRIMARY KEY (`plugin_config_id`) should be PRIMARY KEY (plugin_config_id)

vi /opt/testlink/install/sql/postgres/testlink_create_default_data.sql
    :94 # since 1.9.15 should be -- since 1.9.15
Steps To ReproduceInstall 1.9.15 from a standard build via web installer

alternately
sudo -u postgres psql postgres < testlink_create_tables.sql
sudo -u postgres psql postgres < testlink_create_default_data.sql

Additional Informationserver:/opt/testlink/install/sql/postgres# psql --version
psql (PostgreSQL) 9.5.4


server:/# lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 16.04.1 LTS
Release: 16.04
Codename: xenial


server:/# uname -a
Linux server 4.4.0-38-generic 0000057-Ubuntu SMP Tue Sep 6 15:42:33 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

TagsNo tags attached.
Database (MySQL,Postgres,etc)postgres
Browser
PHP VersionPHP 7.0.8-0ubuntu0.16.04.2 (cli) ( NTS )
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
related to 0007682assignedfman Invalid SQL query associated with plugins button 

-  Notes
(0025455)
fman (administrator)
2016-09-28 19:08

plugin_id => id
plugin_conf_id => id
(0025456)
fman (administrator)
2016-09-28 19:09

please get changes from https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/2c197ba3396766626e6bb17ed036ec9a18021cbf [^]

apply, restest & provide feedback
(0025460)
know1 (reporter)
2016-09-28 23:32

Tested the changes in GIT, and confirmed that I can now successfully install to Postgres without errors.

It also fixed an issue with the plugins page (http://testlink.my.domain/lib/plugins/pluginView.php [^]) throwing an error in the web gui :)
(0025898)
fman (administrator)
2017-01-22 08:06

1.9.16 released

- Issue History
Date Modified Username Field Change
2016-09-28 05:29 know1 New Issue
2016-09-28 19:08 fman Note Added: 0025455
2016-09-28 19:09 fman Note Added: 0025456
2016-09-28 19:09 fman QA Team - Task Workflow Status => TBD
2016-09-28 19:09 fman Fixed in Version => 1.9.16 (2016 Q4)
2016-09-28 19:09 fman Assigned To => fman
2016-09-28 19:09 fman Status new => feedback
2016-09-28 19:10 fman Relationship added related to 0007682
2016-09-28 23:32 know1 Note Added: 0025460
2016-09-28 23:32 know1 Status feedback => assigned
2016-10-01 08:53 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2016-10-01 08:53 fman Status assigned => resolved
2016-10-01 08:53 fman Resolution open => fixed
2017-01-22 08:06 fman Note Added: 0025898
2017-01-22 08:06 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker